Skip to main content
`Ctrl`+`K`

# PetscDTFactorial

Approximate n! as a real number

## Input Parameter

- n - a non-negative integer

## Output Parameter

- factorial - n!

## See Also

`PetscDTFactorialInt()`, `PetscDTBinomialInt()`, `PetscDTBinomial()`

## Level

beginner

## Location

include/petscdt.h

## Examples

src/dm/tutorials/ex26.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages